import * as $dara from '@darabonba/typescript';
import { ModifyNatGatewayAttributeResponseBody } from "./ModifyNatGatewayAttributeResponseBody";
export declare class ModifyNatGatewayAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyNatGatewayAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
